com.microfocus.awm.core.internal

## Class ApplicationPropertyProxy

- java.lang.Object
- - com.microfocus.awm.core.internal.ApplicationPropertyProxy

- All Implemented Interfaces:
    IApplicationPropertyProxy

      public class ApplicationPropertyProxy
      extends java.lang.Object
      implements IApplicationPropertyProxy

  An `IApplicationPropertyProxy` used to support the caching of `ApplicationProperty`s and `MasterConfigurationProperty`s.
  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationPropertyProxy(java.lang.String pPropertyID, java.lang.String pLabel, java.lang.String pPropertyValue, java.lang.String pDefaultValue, EPropertyValueType pApplicationPropertyType)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPropertyValueType` | `getApplicationPropertyType()` Gets the isMasterConfigProperty.
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getPropertyID()` Gets the propertyID.
    `java.lang.String` | `getPropertyValue()` Gets the propertyValue.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPropertyProxy

          public ApplicationPropertyProxy(java.lang.String pPropertyID,
                                          java.lang.String pLabel,
                                          java.lang.String pPropertyValue,
                                          java.lang.String pDefaultValue,
                                          EPropertyValueType pApplicationPropertyType)

      Constructor.
      Parameters:
        `pPropertyID` - the application property ID
        `pLabel` - the label of the application property
        `pPropertyValue` - the property value
        `pDefaultValue` - the default value
        `pApplicationPropertyType` - the `EPropertyValueType` of the application property. Only the values `EPropertyValueType.STATIC_MASTER_CONFIGURATION` and `EPropertyValueType.APPLICATION_PROPERTY` are supported.

  - ### Method Detail

    - #### getPropertyID

          public java.lang.String getPropertyID()

      Gets the propertyID.
      Specified by:
        `getPropertyID` in interface `IApplicationPropertyProxy`
      Returns:
        the propertyID

    - #### getPropertyValue

          public java.lang.String getPropertyValue()

      Gets the propertyValue.
      Specified by:
        `getPropertyValue` in interface `IApplicationPropertyProxy`
      Returns:
        the propertyValue

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `IApplicationPropertyProxy`
      Returns:
        the cached default value.

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `IApplicationPropertyProxy`
      Returns:
        the cached label of the property

    - #### getApplicationPropertyType

          public EPropertyValueType getApplicationPropertyType()

      Gets the isMasterConfigProperty.
      Specified by:
        `getApplicationPropertyType` in interface `IApplicationPropertyProxy`
      Returns:
        the isMasterConfigProperty

Copyright © 2015 Micro Focus GmbH. All rights reserved.